import React from "react";
import { useAccordion } from "./AccordionContext";
import type { open, icon, animate, disabled, className, children } from "../../types/components/accordion";
import { AccordionHeader, AccordionHeaderProps } from "./AccordionHeader";
import { AccordionBody, AccordionBodyProps } from "./AccordionBody";
export interface AccordionProps extends React.ComponentProps<"div"> {
    open: open;
    icon?: icon;
    animate?: animate;
    disabled?: disabled;
    className?: className;
    children: children;
}
declare const Accordion: React.ForwardRefExoticComponent<Omit<AccordionProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export type { AccordionHeaderProps, AccordionBodyProps };
export { Accordion, AccordionHeader, AccordionBody, useAccordion };
declare const _default: React.ForwardRefExoticComponent<Omit<AccordionProps, "ref"> & React.RefAttributes<HTMLDivElement>> & {
    Header: React.ForwardRefExoticComponent<Omit<AccordionHeaderProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
    Body: React.ForwardRefExoticComponent<Omit<AccordionBodyProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
};
export default _default;
//# sourceMappingURL=index.d.ts.map