import React from "react";
import type { open, handler, size, dismiss, animate, className, children } from "../../types/components/dialog";
import { DialogHeader, DialogHeaderProps } from "./DialogHeader";
import { DialogBody, DialogBodyProps } from "./DialogBody";
import { DialogFooter, DialogFooterProps } from "./DialogFooter";
export interface DialogProps extends React.ComponentProps<"div"> {
    open: open;
    handler: handler;
    size?: size;
    dismiss?: dismiss;
    animate?: animate;
    className?: className;
    children: children;
}
declare const Dialog: React.ForwardRefExoticComponent<Omit<DialogProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export type { DialogHeaderProps, DialogBodyProps, DialogFooterProps };
export { Dialog, DialogHeader, DialogBody, DialogFooter };
declare const _default: React.ForwardRefExoticComponent<Omit<DialogProps, "ref"> & React.RefAttributes<HTMLDivElement>> & {
    Header: React.ForwardRefExoticComponent<Omit<DialogHeaderProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Body: React.ForwardRefExoticComponent<Omit<DialogBodyProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Footer: React.ForwardRefExoticComponent<Omit<DialogFooterProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
};
export default _default;
//# sourceMappingURL=index.d.ts.map