import React from "react";
import { useTabs } from "./TabsContext";
import { Tab, TabProps } from "./Tab";
import { TabsBody, TabsBodyProps } from "./TabsBody";
import { TabsHeader, TabsHeaderProps } from "./TabsHeader";
import { TabPanel, TabPanelProps } from "./TabPanel";
import type { value, className, orientation, children } from "../../types/components/tabs";
export interface TabsProps extends React.ComponentProps<"div" | any> {
    value: value;
    orientation?: orientation;
    className?: className;
    children: children;
}
declare const Tabs: React.ForwardRefExoticComponent<Omit<TabsProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export type { TabProps, TabsBodyProps, TabsHeaderProps, TabPanelProps };
export { Tabs, Tab, TabsBody, TabsHeader, TabPanel, useTabs };
declare const _default: React.ForwardRefExoticComponent<Omit<TabsProps, "ref"> & React.RefAttributes<HTMLDivElement>> & {
    Tab: React.ForwardRefExoticComponent<Omit<TabProps, "ref"> & React.RefAttributes<HTMLLIElement>>;
    Body: React.ForwardRefExoticComponent<Omit<TabsBodyProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Header: React.ForwardRefExoticComponent<Omit<TabsHeaderProps, "ref"> & React.RefAttributes<HTMLUListElement>>;
    Panel: React.ForwardRefExoticComponent<TabPanelProps & React.RefAttributes<HTMLDivElement>>;
};
export default _default;
//# sourceMappingURL=index.d.ts.map