import React from "react";
import type { variant, color, textGradient, asType, className, children } from "../../types/components/typography";
type Props<T extends keyof JSX.IntrinsicElements> = React.ComponentProps<T>;
type BaseTypographyProps = Props<"p"> & Props<"h1"> & Props<"h2"> & Props<"h3"> & Props<"h4"> & Props<"h5"> & Props<"h6"> & Props<"a">;
export interface TypographyProps extends BaseTypographyProps {
    variant?: variant;
    color?: color;
    textGradient?: textGradient;
    as?: asType;
    className?: className;
    children: children;
}
export declare const Typography: React.ForwardRefExoticComponent<Omit<TypographyProps, "ref"> & React.RefAttributes<HTMLElement>>;
export default Typography;
//# sourceMappingURL=index.d.ts.map