"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{Badge:function(){return Badge},default:function(){return _default}});var _react=_interopRequireDefault(require("react"));var _propTypes=_interopRequireDefault(require("prop-types"));var _deepmerge=_interopRequireDefault(require("deepmerge"));var _classnames=_interopRequireDefault(require("classnames"));var _tailwindMerge=require("tailwind-merge");var _findMatch=_interopRequireDefault(require("../../utils/findMatch"));var _objectsToString=_interopRequireDefault(require("../../utils/objectsToString"));var _theme=require("../../context/theme");var _badge=require("../../types/components/badge");function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true})}else{obj[key]=value}return obj}function _extends(){_extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key]}}}return target};return _extends.apply(this,arguments)}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _objectWithoutProperties(source,excluded){if(source==null)return{};var target=_objectWithoutPropertiesLoose(source,excluded);var key,i;if(Object.getOwnPropertySymbols){var sourceSymbolKeys=Object.getOwnPropertySymbols(source);for(i=0;i<sourceSymbolKeys.length;i++){key=sourceSymbolKeys[i];if(excluded.indexOf(key)>=0)continue;if(!Object.prototype.propertyIsEnumerable.call(source,key))continue;target[key]=source[key]}}return target}function _objectWithoutPropertiesLoose(source,excluded){if(source==null)return{};var target={};var sourceKeys=Object.keys(source);var key,i;for(i=0;i<sourceKeys.length;i++){key=sourceKeys[i];if(excluded.indexOf(key)>=0)continue;target[key]=source[key]}return target}var Badge=_react.default.forwardRef(function(_param,ref){var color=_param.color,invisible=_param.invisible,withBorder=_param.withBorder,overlap=_param.overlap,placement=_param.placement,className=_param.className,content=_param.content,children=_param.children,containerProps=_param.containerProps,containerRef=_param.containerRef,rest=_objectWithoutProperties(_param,["color","invisible","withBorder","overlap","placement","className","content","children","containerProps","containerRef"]);var badge=(0,_theme.useTheme)().badge;var valid=badge.valid,defaultProps=badge.defaultProps,styles=badge.styles;var base=styles.base,placements=styles.placements,colors=styles.colors;color=color!==null&&color!==void 0?color:defaultProps.color;invisible=invisible!==null&&invisible!==void 0?invisible:defaultProps.invisible;withBorder=withBorder!==null&&withBorder!==void 0?withBorder:defaultProps.withBorder;overlap=overlap!==null&&overlap!==void 0?overlap:defaultProps.overlap;placement=placement!==null&&placement!==void 0?placement:defaultProps.placement;className=(0,_tailwindMerge.twMerge)(defaultProps.className||"",className);var _merge;containerProps=(_merge=(0,_deepmerge.default)(containerProps,defaultProps.containerProps||{}))!==null&&_merge!==void 0?_merge:defaultProps.containerProps;var badgeInitialClasses=(0,_objectsToString.default)(base.badge.initial);var badgeWithBorderClasses=(0,_objectsToString.default)(base.badge.withBorder);var badgeWithContentClasses=(0,_objectsToString.default)(base.badge.withContent);var badgeColorClasses=(0,_objectsToString.default)(colors[(0,_findMatch.default)(valid.colors,color,"red")]);var badgePlacementClasses=(0,_objectsToString.default)(placements[(0,_findMatch.default)(valid.placements,placement,"top-end")][(0,_findMatch.default)(valid.overlaps,overlap,"square")]);var _obj;var badgeClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)(badgeInitialClasses,badgePlacementClasses,badgeColorClasses,(_obj={},_defineProperty(_obj,badgeWithBorderClasses,withBorder),_defineProperty(_obj,badgeWithContentClasses,content),_obj)),className);var badgeContainerClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.container),containerProps===null||containerProps===void 0?void 0:containerProps.className));return _react.default.createElement("div",_extends({ref:containerRef},containerProps,{className:badgeContainerClasses}),children,!invisible&&_react.default.createElement("span",_extends({},rest,{ref:ref,className:badgeClasses}),content))});Badge.propTypes={color:_propTypes.default.oneOf(_badge.propTypesColor),invisible:_badge.propTypesInvisible,withBorder:_badge.propTypesWithBorder,overlap:_propTypes.default.oneOf(_badge.propTypesOverlap),className:_badge.propTypesClassName,content:_badge.propTypesContent,children:_badge.propTypesChildren,placement:_propTypes.default.oneOf(_badge.propTypesPlacement),containerProps:_badge.propTypesContainerProps,containerRef:_badge.propTypesContainerRef};Badge.displayName="MaterialTailwind.Badge";var _default=Badge;