"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{Input:function(){return Input},default:function(){return _default}});var _react=_interopRequireDefault(require("react"));var _propTypes=_interopRequireDefault(require("prop-types"));var _classnames=_interopRequireDefault(require("classnames"));var _findMatch=_interopRequireDefault(require("../../utils/findMatch"));var _objectsToString=_interopRequireDefault(require("../../utils/objectsToString"));var _theme=require("../../context/theme");var _input=require("../../types/components/input");var _tailwindMerge=require("tailwind-merge");function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true})}else{obj[key]=value}return obj}function _extends(){_extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key]}}}return target};return _extends.apply(this,arguments)}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _objectWithoutProperties(source,excluded){if(source==null)return{};var target=_objectWithoutPropertiesLoose(source,excluded);var key,i;if(Object.getOwnPropertySymbols){var sourceSymbolKeys=Object.getOwnPropertySymbols(source);for(i=0;i<sourceSymbolKeys.length;i++){key=sourceSymbolKeys[i];if(excluded.indexOf(key)>=0)continue;if(!Object.prototype.propertyIsEnumerable.call(source,key))continue;target[key]=source[key]}}return target}function _objectWithoutPropertiesLoose(source,excluded){if(source==null)return{};var target={};var sourceKeys=Object.keys(source);var key,i;for(i=0;i<sourceKeys.length;i++){key=sourceKeys[i];if(excluded.indexOf(key)>=0)continue;target[key]=source[key]}return target}var Input=_react.default.forwardRef(function(_param,ref){var variant=_param.variant,color=_param.color,size=_param.size,label=_param.label,error=_param.error,success=_param.success,icon=_param.icon,containerProps=_param.containerProps,labelProps=_param.labelProps,className=_param.className,shrink=_param.shrink,inputRef=_param.inputRef,rest=_objectWithoutProperties(_param,["variant","color","size","label","error","success","icon","containerProps","labelProps","className","shrink","inputRef"]);var input=(0,_theme.useTheme)().input;var defaultProps=input.defaultProps,valid=input.valid,styles=input.styles;var base=styles.base,variants=styles.variants;variant=variant!==null&&variant!==void 0?variant:defaultProps.variant;size=size!==null&&size!==void 0?size:defaultProps.size;color=color!==null&&color!==void 0?color:defaultProps.color;label=label!==null&&label!==void 0?label:defaultProps.label;labelProps=labelProps!==null&&labelProps!==void 0?labelProps:defaultProps.labelProps;containerProps=containerProps!==null&&containerProps!==void 0?containerProps:defaultProps.containerProps;shrink=shrink!==null&&shrink!==void 0?shrink:defaultProps.shrink;icon=icon!==null&&icon!==void 0?icon:defaultProps.icon;className=(0,_tailwindMerge.twMerge)(defaultProps.className||"",className);var inputVariant=variants[(0,_findMatch.default)(valid.variants,variant,"outlined")];var inputSize=inputVariant.sizes[(0,_findMatch.default)(valid.sizes,size,"md")];var inputError=(0,_objectsToString.default)(inputVariant.error.input);var inputSuccess=(0,_objectsToString.default)(inputVariant.success.input);var inputShrink=(0,_objectsToString.default)(inputVariant.shrink.input);var inputColor=(0,_objectsToString.default)(inputVariant.colors.input[(0,_findMatch.default)(valid.colors,color,"gray")]);var labelError=(0,_objectsToString.default)(inputVariant.error.label);var labelSuccess=(0,_objectsToString.default)(inputVariant.success.label);var labelShrink=(0,_objectsToString.default)(inputVariant.shrink.label);var labelColor=(0,_objectsToString.default)(inputVariant.colors.label[(0,_findMatch.default)(valid.colors,color,"gray")]);var containerClasses=(0,_classnames.default)((0,_objectsToString.default)(base.container),(0,_objectsToString.default)(inputSize.container),containerProps===null||containerProps===void 0?void 0:containerProps.className);var inputClasses=(0,_classnames.default)((0,_objectsToString.default)(base.input),(0,_objectsToString.default)(inputVariant.base.input),(0,_objectsToString.default)(inputSize.input),_defineProperty({},(0,_objectsToString.default)(inputVariant.base.inputWithIcon),icon),_defineProperty({},inputColor,!error&&!success),_defineProperty({},inputError,error),_defineProperty({},inputSuccess,success),_defineProperty({},inputShrink,shrink),className);var labelClasses=(0,_classnames.default)((0,_objectsToString.default)(base.label),(0,_objectsToString.default)(inputVariant.base.label),(0,_objectsToString.default)(inputSize.label),_defineProperty({},labelColor,!error&&!success),_defineProperty({},labelError,error),_defineProperty({},labelSuccess,success),_defineProperty({},labelShrink,shrink),labelProps===null||labelProps===void 0?void 0:labelProps.className);var iconClasses=(0,_classnames.default)((0,_objectsToString.default)(base.icon),(0,_objectsToString.default)(inputVariant.base.icon),(0,_objectsToString.default)(inputSize.icon));var asteriskClasses=(0,_classnames.default)((0,_objectsToString.default)(base.asterisk));return _react.default.createElement("div",_extends({},containerProps,{ref:ref,className:containerClasses}),icon&&_react.default.createElement("div",{className:iconClasses},icon),_react.default.createElement("input",_extends({},rest,{ref:inputRef,className:inputClasses,placeholder:(rest===null||rest===void 0?void 0:rest.placeholder)||" "})),_react.default.createElement("label",_extends({},labelProps,{className:labelClasses}),label," ",rest.required?_react.default.createElement("span",{className:asteriskClasses},"*"):""))});Input.propTypes={variant:_propTypes.default.oneOf(_input.propTypesVariant),size:_propTypes.default.oneOf(_input.propTypesSize),color:_propTypes.default.oneOf(_input.propTypesColor),label:_input.propTypesLabel,error:_input.propTypesError,success:_input.propTypesSuccess,icon:_input.propTypesIcon,labelProps:_input.propTypesLabelProps,containerProps:_input.propTypesContainerProps,shrink:_input.propTypesShrink,className:_input.propTypesClassName};Input.displayName="MaterialTailwind.Input";var _default=Input;