"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{Select:function(){return Select},Option:function(){return _selectOption.SelectOption},useSelect:function(){return _selectContext.useSelect},usePrevious:function(){return _selectContext.usePrevious},default:function(){return _default}});var _react=_interopRequireDefault(require("react"));var _propTypes=_interopRequireDefault(require("prop-types"));var _react1=require("@floating-ui/react");var _framerMotion=require("framer-motion");var _classnames=_interopRequireDefault(require("classnames"));var _tailwindMerge=require("tailwind-merge");var _deepmerge=_interopRequireDefault(require("deepmerge"));var _findMatch=_interopRequireDefault(require("../../utils/findMatch"));var _objectsToString=_interopRequireDefault(require("../../utils/objectsToString"));var _theme=require("../../context/theme");var _selectContext=require("./SelectContext");var _select=require("../../types/components/select");var _selectOption=require("./SelectOption");function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++)arr2[i]=arr[i];return arr2}function _arrayWithHoles(arr){if(Array.isArray(arr))return arr}function _arrayWithoutHoles(arr){if(Array.isArray(arr))return _arrayLikeToArray(arr)}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true})}else{obj[key]=value}return obj}function _extends(){_extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key]}}}return target};return _extends.apply(this,arguments)}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _iterableToArray(iter){if(typeof Symbol!=="undefined"&&iter[Symbol.iterator]!=null||iter["@@iterator"]!=null)return Array.from(iter)}function _iterableToArrayLimit(arr,i){var _i=arr==null?null:typeof Symbol!=="undefined"&&arr[Symbol.iterator]||arr["@@iterator"];if(_i==null)return;var _arr=[];var _n=true;var _d=false;var _s,_e;try{for(_i=_i.call(arr);!(_n=(_s=_i.next()).done);_n=true){_arr.push(_s.value);if(i&&_arr.length===i)break}}catch(err){_d=true;_e=err}finally{try{if(!_n&&_i["return"]!=null)_i["return"]()}finally{if(_d)throw _e}}return _arr}function _nonIterableRest(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};var ownKeys=Object.keys(source);if(typeof Object.getOwnPropertySymbols==="function"){ownKeys=ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym){return Object.getOwnPropertyDescriptor(source,sym).enumerable}))}ownKeys.forEach(function(key){_defineProperty(target,key,source[key])})}return target}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly){symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable})}keys.push.apply(keys,symbols)}return keys}function _objectSpreadProps(target,source){source=source!=null?source:{};if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source))}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key))})}return target}function _objectWithoutProperties(source,excluded){if(source==null)return{};var target=_objectWithoutPropertiesLoose(source,excluded);var key,i;if(Object.getOwnPropertySymbols){var sourceSymbolKeys=Object.getOwnPropertySymbols(source);for(i=0;i<sourceSymbolKeys.length;i++){key=sourceSymbolKeys[i];if(excluded.indexOf(key)>=0)continue;if(!Object.prototype.propertyIsEnumerable.call(source,key))continue;target[key]=source[key]}}return target}function _objectWithoutPropertiesLoose(source,excluded){if(source==null)return{};var target={};var sourceKeys=Object.keys(source);var key,i;for(i=0;i<sourceKeys.length;i++){key=sourceKeys[i];if(excluded.indexOf(key)>=0)continue;target[key]=source[key]}return target}function _slicedToArray(arr,i){return _arrayWithHoles(arr)||_iterableToArrayLimit(arr,i)||_unsupportedIterableToArray(arr,i)||_nonIterableRest()}function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_unsupportedIterableToArray(arr)||_nonIterableSpread()}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(n);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen)}var Select=_react.default.forwardRef(function(_param,ref){var variant=_param.variant,color=_param.color,size=_param.size,label=_param.label,error=_param.error,success=_param.success,arrow=_param.arrow,value=_param.value,onChange=_param.onChange,selected=_param.selected,offset=_param.offset,dismiss=_param.dismiss,animate=_param.animate,lockScroll=_param.lockScroll,labelProps=_param.labelProps,menuProps=_param.menuProps,className=_param.className,disabled=_param.disabled,name=_param.name,children=_param.children,containerProps=_param.containerProps,rest=_objectWithoutProperties(_param,["variant","color","size","label","error","success","arrow","value","onChange","selected","offset","dismiss","animate","lockScroll","labelProps","menuProps","className","disabled","name","children","containerProps"]);var _children_;var select=(0,_theme.useTheme)().select;var defaultProps=select.defaultProps,valid=select.valid,styles=select.styles;var base=styles.base,variants=styles.variants;var _React_useState=_slicedToArray(_react.default.useState("close"),2),state=_React_useState[0],setState=_React_useState[1];variant=variant!==null&&variant!==void 0?variant:defaultProps.variant;color=color!==null&&color!==void 0?color:defaultProps.color;size=size!==null&&size!==void 0?size:defaultProps.size;label=label!==null&&label!==void 0?label:defaultProps.label;error=error!==null&&error!==void 0?error:defaultProps.error;success=success!==null&&success!==void 0?success:defaultProps.success;arrow=arrow!==null&&arrow!==void 0?arrow:defaultProps.arrow;value=value!==null&&value!==void 0?value:defaultProps.value;onChange=onChange!==null&&onChange!==void 0?onChange:defaultProps.onChange;selected=selected!==null&&selected!==void 0?selected:defaultProps.selected;offset=offset!==null&&offset!==void 0?offset:defaultProps.offset;dismiss=dismiss!==null&&dismiss!==void 0?dismiss:defaultProps.dismiss;animate=animate!==null&&animate!==void 0?animate:defaultProps.animate;labelProps=labelProps!==null&&labelProps!==void 0?labelProps:defaultProps.labelProps;menuProps=menuProps!==null&&menuProps!==void 0?menuProps:defaultProps.menuProps;var _merge;containerProps=(_merge=(0,_deepmerge.default)(containerProps,(defaultProps===null||defaultProps===void 0?void 0:defaultProps.containerProps)||{}))!==null&&_merge!==void 0?_merge:defaultProps.containerProps;className=(0,_tailwindMerge.twMerge)(defaultProps.className||"",className);children=Array.isArray(children)?children:[children];var listItemsRef=_react.default.useRef([]);var _React_Children_map;var listContentRef=_react.default.useRef(_toConsumableArray((_React_Children_map=_react.default.Children.map(children,function(child){var props=child.props;return props===null||props===void 0?void 0:props.value}))!==null&&_React_Children_map!==void 0?_React_Children_map:[]));var _React_useState1=_slicedToArray(_react.default.useState(false),2),open=_React_useState1[0],setOpen=_React_useState1[1];var _React_useState2=_slicedToArray(_react.default.useState(null),2),activeIndex=_React_useState2[0],setActiveIndex=_React_useState2[1];var _React_useState3=_slicedToArray(_react.default.useState(0),2),selectedIndex=_React_useState3[0],setSelectedIndex=_React_useState3[1];var _React_useState4=_slicedToArray(_react.default.useState(false),2),controlledScrolling=_React_useState4[0],setControlledScrolling=_React_useState4[1];var prevActiveIndex=(0,_selectContext.usePrevious)(activeIndex);var _useFloating=(0,_react1.useFloating)({placement:"bottom-start",open:open,onOpenChange:setOpen,whileElementsMounted:_react1.autoUpdate,middleware:[(0,_react1.offset)(5),(0,_react1.flip)({padding:10}),(0,_react1.size)({apply:function apply(param){var rects=param.rects,elements=param.elements;var _elements_floating,_rects_reference;Object.assign(elements===null||elements===void 0?void 0:(_elements_floating=elements.floating)===null||_elements_floating===void 0?void 0:_elements_floating.style,{width:"".concat(rects===null||rects===void 0?void 0:(_rects_reference=rects.reference)===null||_rects_reference===void 0?void 0:_rects_reference.width,"px"),zIndex:99})},padding:20})]}),x=_useFloating.x,y=_useFloating.y,strategy=_useFloating.strategy,refs=_useFloating.refs,context=_useFloating.context;_react.default.useEffect(function(){setSelectedIndex(Math.max(0,listContentRef.current.indexOf(value)+1))},[value]);var floatingRef=refs.floating;var _useInteractions=(0,_react1.useInteractions)([(0,_react1.useClick)(context),(0,_react1.useRole)(context,{role:"listbox"}),(0,_react1.useDismiss)(context,_objectSpread({},dismiss)),(0,_react1.useListNavigation)(context,{listRef:listItemsRef,activeIndex:activeIndex,selectedIndex:selectedIndex,onNavigate:setActiveIndex,loop:true}),(0,_react1.useTypeahead)(context,{listRef:listContentRef,activeIndex:activeIndex,selectedIndex:selectedIndex,onMatch:open?setActiveIndex:setSelectedIndex})]),getReferenceProps=_useInteractions.getReferenceProps,getFloatingProps=_useInteractions.getFloatingProps,getItemProps=_useInteractions.getItemProps;(0,_framerMotion.useIsomorphicLayoutEffect)(function(){var floating=floatingRef.current;if(open&&controlledScrolling&&floating){var item=activeIndex!=null?listItemsRef.current[activeIndex]:selectedIndex!=null?listItemsRef.current[selectedIndex]:null;if(item&&prevActiveIndex!=null){var _listItemsRef_current_prevActiveIndex;var _listItemsRef_current_prevActiveIndex_offsetHeight;var itemHeight=(_listItemsRef_current_prevActiveIndex_offsetHeight=(_listItemsRef_current_prevActiveIndex=listItemsRef.current[prevActiveIndex])===null||_listItemsRef_current_prevActiveIndex===void 0?void 0:_listItemsRef_current_prevActiveIndex.offsetHeight)!==null&&_listItemsRef_current_prevActiveIndex_offsetHeight!==void 0?_listItemsRef_current_prevActiveIndex_offsetHeight:0;var floatingHeight=floating.offsetHeight;var top=item.offsetTop;var bottom=top+itemHeight;if(top<floating.scrollTop){floating.scrollTop-=floating.scrollTop-top+5}else if(bottom>floatingHeight+floating.scrollTop){floating.scrollTop+=bottom-floatingHeight-floating.scrollTop+5}}}},[open,controlledScrolling,prevActiveIndex,activeIndex]);var contextValue=_react.default.useMemo(function(){return{selectedIndex:selectedIndex,setSelectedIndex:setSelectedIndex,listRef:listItemsRef,setOpen:setOpen,onChange:onChange||function(){},activeIndex:activeIndex,setActiveIndex:setActiveIndex,getItemProps:getItemProps,dataRef:context.dataRef}},[selectedIndex,onChange,activeIndex,getItemProps,context.dataRef]);_react.default.useEffect(function(){if(open){setState("open")}else if(!open&&selectedIndex||!open&&value){setState("withValue")}else{setState("close")}},[open,value,selectedIndex,selected]);var selectVariant=variants[(0,_findMatch.default)(valid.variants,variant,"outlined")];var selectSize=selectVariant.sizes[(0,_findMatch.default)(valid.sizes,size,"md")];var selectError=selectVariant.error.select;var selectSuccess=selectVariant.success.select;var selectColor=selectVariant.colors.select[(0,_findMatch.default)(valid.colors,color,"gray")];var labelError=selectVariant.error.label;var labelSuccess=selectVariant.success.label;var labelColor=selectVariant.colors.label[(0,_findMatch.default)(valid.colors,color,"gray")];var stateClasses=selectVariant.states[state];var containerClasses=(0,_classnames.default)((0,_objectsToString.default)(base.container),(0,_objectsToString.default)(selectSize.container),containerProps===null||containerProps===void 0?void 0:containerProps.className);var selectClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.select),(0,_objectsToString.default)(selectVariant.base.select),(0,_objectsToString.default)(stateClasses.select),(0,_objectsToString.default)(selectSize.select),_defineProperty({},(0,_objectsToString.default)(selectColor[state]),!error&&!success),_defineProperty({},(0,_objectsToString.default)(selectError.initial),error),_defineProperty({},(0,_objectsToString.default)(selectError.states[state]),error),_defineProperty({},(0,_objectsToString.default)(selectSuccess.initial),success),_defineProperty({},(0,_objectsToString.default)(selectSuccess.states[state]),success)),className);var _labelProps_className;var labelClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.label),(0,_objectsToString.default)(selectVariant.base.label),(0,_objectsToString.default)(stateClasses.label),(0,_objectsToString.default)(selectSize.label.initial),(0,_objectsToString.default)(selectSize.label.states[state]),_defineProperty({},(0,_objectsToString.default)(labelColor[state]),!error&&!success),_defineProperty({},(0,_objectsToString.default)(labelError.initial),error),_defineProperty({},(0,_objectsToString.default)(labelError.states[state]),error),_defineProperty({},(0,_objectsToString.default)(labelSuccess.initial),success),_defineProperty({},(0,_objectsToString.default)(labelSuccess.states[state]),success)),(_labelProps_className=labelProps.className)!==null&&_labelProps_className!==void 0?_labelProps_className:"");var arrowClasses=(0,_classnames.default)((0,_objectsToString.default)(base.arrow.initial),_defineProperty({},(0,_objectsToString.default)(base.arrow.active),open));var _menuProps_className;var menuClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.menu)),(_menuProps_className=menuProps.className)!==null&&_menuProps_className!==void 0?_menuProps_className:"");var buttonContentClasses=(0,_classnames.default)("absolute top-2/4 -translate-y-2/4",variant==="outlined"?"left-3 pt-0.5":"left-0 pt-3");var animation={unmount:{opacity:0,transformOrigin:"top",transform:"scale(0.95)",transition:{duration:.2,times:[.4,0,.2,1]}},mount:{opacity:1,transformOrigin:"top",transform:"scale(1)",transition:{duration:.2,times:[.4,0,.2,1]}}};var appliedAnimation=(0,_deepmerge.default)(animation,animate);var NewAnimatePresence=_framerMotion.AnimatePresence;_react.default.useEffect(function(){if(value&&!onChange){console.error("Warning: You provided a `value` prop to a select component without an `onChange` handler. This will render a read-only select. If the field should be mutable use `onChange` handler with `value` together.")}},[value,onChange]);var selectMenu=_react.default.createElement(_react1.FloatingFocusManager,{context:context,modal:false},_react.default.createElement(_framerMotion.m.ul,_extends({},getFloatingProps(_objectSpreadProps(_objectSpread({},menuProps),{ref:refs.setFloating,role:"listbox",className:menuClasses,style:{position:strategy,top:y!==null&&y!==void 0?y:0,left:x!==null&&x!==void 0?x:0,overflow:"auto"},onPointerEnter:function onPointerEnter(e){var onPointerEnter=menuProps===null||menuProps===void 0?void 0:menuProps.onPointerEnter;if(typeof onPointerEnter==="function"){onPointerEnter(e);setControlledScrolling(false)}setControlledScrolling(false)},onPointerMove:function onPointerMove(e){var onPointerMove=menuProps===null||menuProps===void 0?void 0:menuProps.onPointerMove;if(typeof onPointerMove==="function"){onPointerMove(e);setControlledScrolling(false)}setControlledScrolling(false)},onKeyDown:function onKeyDown(e){var onKeyDown=menuProps===null||menuProps===void 0?void 0:menuProps.onKeyDown;if(typeof onKeyDown==="function"){onKeyDown(e);setControlledScrolling(true)}setControlledScrolling(true)}})),{initial:"unmount",exit:"unmount",animate:open?"mount":"unmount",variants:appliedAnimation}),_react.default.Children.map(children,function(child,index){var _child_props;return _react.default.isValidElement(child)&&_react.default.cloneElement(child,_objectSpreadProps(_objectSpread({},child.props),{index:((_child_props=child.props)===null||_child_props===void 0?void 0:_child_props.index)||index+1,id:"material-tailwind-select-".concat(index)}))})));return _react.default.createElement(_selectContext.SelectContextProvider,{value:contextValue},_react.default.createElement("div",_extends({},containerProps,{ref:ref,className:containerClasses}),_react.default.createElement("button",_extends({type:"button"},getReferenceProps(_objectSpreadProps(_objectSpread({},rest),{ref:refs.setReference,className:selectClasses,disabled:disabled,name:name}))),typeof selected==="function"?_react.default.createElement("span",{className:buttonContentClasses},selected(children[selectedIndex-1],selectedIndex-1)):value&&!onChange?_react.default.createElement("span",{className:buttonContentClasses},value):_react.default.createElement("span",_extends({},(_children_=children[selectedIndex-1])===null||_children_===void 0?void 0:_children_.props,{className:buttonContentClasses})),_react.default.createElement("div",{className:arrowClasses},arrow!==null&&arrow!==void 0?arrow:_react.default.createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 20 20",fill:"currentColor"},_react.default.createElement("path",{fillRule:"evenodd",d:"M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z",clipRule:"evenodd"})))),_react.default.createElement("label",_extends({},labelProps,{className:labelClasses}),label),_react.default.createElement(_framerMotion.LazyMotion,{features:_framerMotion.domAnimation},_react.default.createElement(NewAnimatePresence,null,open&&_react.default.createElement(_react.default.Fragment,null,lockScroll?_react.default.createElement(_react1.FloatingOverlay,{lockScroll:true},selectMenu):selectMenu)))))});Select.propTypes={variant:_propTypes.default.oneOf(_select.propTypesVariant),color:_propTypes.default.oneOf(_select.propTypesColor),size:_propTypes.default.oneOf(_select.propTypesSize),label:_select.propTypesLabel,error:_select.propTypesError,success:_select.propTypesSuccess,arrow:_select.propTypesArrow,value:_select.propTypesValue,onChange:_select.propTypesOnChange,selected:_select.propTypesSelected,offset:_select.propTypesOffset,dismiss:_select.propTypesDismiss,animate:_select.propTypesAnimate,lockScroll:_select.propTypesLockScroll,labelProps:_select.propTypesLabelProps,menuProps:_select.propTypesMenuProps,className:_select.propTypesClassName,disabled:_select.propTypesDisabled,name:_select.propTypesName,children:_select.propTypesChildren,containerProps:_select.propTypesContainerProps};Select.displayName="MaterialTailwind.Select";var _default=Object.assign(Select,{Option:_selectOption.SelectOption});