"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{Slider:function(){return Slider},default:function(){return _default}});var _react=_interopRequireDefault(require("react"));var _propTypes=_interopRequireDefault(require("prop-types"));var _deepmerge=_interopRequireDefault(require("deepmerge"));var _classnames=_interopRequireDefault(require("classnames"));var _tailwindMerge=require("tailwind-merge");var _findMatch=_interopRequireDefault(require("../../utils/findMatch"));var _objectsToString=_interopRequireDefault(require("../../utils/objectsToString"));var _theme=require("../../context/theme");var _slider=require("../../types/components/slider");function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++)arr2[i]=arr[i];return arr2}function _arrayWithHoles(arr){if(Array.isArray(arr))return arr}function _extends(){_extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key]}}}return target};return _extends.apply(this,arguments)}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _iterableToArrayLimit(arr,i){var _i=arr==null?null:typeof Symbol!=="undefined"&&arr[Symbol.iterator]||arr["@@iterator"];if(_i==null)return;var _arr=[];var _n=true;var _d=false;var _s,_e;try{for(_i=_i.call(arr);!(_n=(_s=_i.next()).done);_n=true){_arr.push(_s.value);if(i&&_arr.length===i)break}}catch(err){_d=true;_e=err}finally{try{if(!_n&&_i["return"]!=null)_i["return"]()}finally{if(_d)throw _e}}return _arr}function _nonIterableRest(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _objectWithoutProperties(source,excluded){if(source==null)return{};var target=_objectWithoutPropertiesLoose(source,excluded);var key,i;if(Object.getOwnPropertySymbols){var sourceSymbolKeys=Object.getOwnPropertySymbols(source);for(i=0;i<sourceSymbolKeys.length;i++){key=sourceSymbolKeys[i];if(excluded.indexOf(key)>=0)continue;if(!Object.prototype.propertyIsEnumerable.call(source,key))continue;target[key]=source[key]}}return target}function _objectWithoutPropertiesLoose(source,excluded){if(source==null)return{};var target={};var sourceKeys=Object.keys(source);var key,i;for(i=0;i<sourceKeys.length;i++){key=sourceKeys[i];if(excluded.indexOf(key)>=0)continue;target[key]=source[key]}return target}function _slicedToArray(arr,i){return _arrayWithHoles(arr)||_iterableToArrayLimit(arr,i)||_unsupportedIterableToArray(arr,i)||_nonIterableRest()}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(n);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen)}var Slider=_react.default.forwardRef(function(_param,ref){var color=_param.color,size=_param.size,className=_param.className,trackClassName=_param.trackClassName,thumbClassName=_param.thumbClassName,barClassName=_param.barClassName,value=_param.value,defaultValue=_param.defaultValue,onChange=_param.onChange,min=_param.min,max=_param.max,step=_param.step,inputRef=_param.inputRef,inputProps=_param.inputProps,rest=_objectWithoutProperties(_param,["color","size","className","trackClassName","thumbClassName","barClassName","value","defaultValue","onChange","min","max","step","inputRef","inputProps"]);var slider=(0,_theme.useTheme)().slider;var valid=slider.valid,defaultProps=slider.defaultProps,styles=slider.styles;var base=styles.base,sizes=styles.sizes,colors=styles.colors;var _React_useState=_slicedToArray(_react.default.useState(defaultValue||0),2),innerValue=_React_useState[0],setInnerValue=_React_useState[1];_react.default.useMemo(function(){if(defaultValue)setInnerValue(defaultValue)},[defaultValue]);color=color!==null&&color!==void 0?color:defaultProps.color;size=size!==null&&size!==void 0?size:defaultProps.size;min=min!==null&&min!==void 0?min:defaultProps.min;max=max!==null&&max!==void 0?max:defaultProps.max;step=step!==null&&step!==void 0?step:defaultProps.step;className=(0,_tailwindMerge.twMerge)(defaultProps.className||"",className);var _classnames1;thumbClassName=(_classnames1=(0,_classnames.default)(defaultProps.thumbClassName,thumbClassName))!==null&&_classnames1!==void 0?_classnames1:defaultProps.thumbClassName;var _classnames2;trackClassName=(_classnames2=(0,_classnames.default)(defaultProps.trackClassName,trackClassName))!==null&&_classnames2!==void 0?_classnames2:defaultProps.trackClassName;var _classnames3;barClassName=(_classnames3=(0,_classnames.default)(defaultProps.barClassName,barClassName))!==null&&_classnames3!==void 0?_classnames3:defaultProps.barClassName;var _merge;inputProps=(_merge=(0,_deepmerge.default)(inputProps,(defaultProps===null||defaultProps===void 0?void 0:defaultProps.inputProps)||{}))!==null&&_merge!==void 0?_merge:defaultProps.inputProps;var sliderContainerClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.container),(0,_objectsToString.default)(colors[(0,_findMatch.default)(valid.colors,color,"gray")]),(0,_objectsToString.default)(sizes[(0,_findMatch.default)(valid.sizes,size,"md")]["container"]),className));var sliderBarClasses=(0,_tailwindMerge.twMerge)((0,_classnames.default)((0,_objectsToString.default)(base.bar),barClassName));var sliderTrackClasses=(0,_classnames.default)((0,_objectsToString.default)(base.track),(0,_objectsToString.default)(sizes[(0,_findMatch.default)(valid.sizes,size,"md")]["track"]));var sliderThumbClasses=(0,_classnames.default)((0,_objectsToString.default)(base.thumb),(0,_objectsToString.default)(sizes[(0,_findMatch.default)(valid.sizes,size,"md")]["thumb"]));var sliderClasses=(0,_classnames.default)((0,_objectsToString.default)(base.slider),(0,_tailwindMerge.twMerge)(sliderTrackClasses,trackClassName),(0,_tailwindMerge.twMerge)(sliderThumbClasses,thumbClassName));return _react.default.createElement("div",_extends({},rest,{ref:ref,className:sliderContainerClasses}),_react.default.createElement("label",{className:sliderBarClasses,style:{width:"".concat(value||innerValue,"%")}}),_react.default.createElement("input",_extends({ref:inputRef,type:"range",max:max,min:min,step:step,className:sliderClasses},value?{value:value}:null,{defaultValue:defaultValue,onChange:function(e){return onChange?onChange(e):setInnerValue(Number(e.target.value))}})))});Slider.propTypes={color:_propTypes.default.oneOf(_slider.propTypesColor),size:_propTypes.default.oneOf(_slider.propTypesSize),className:_slider.propTypesClassName,trackClassName:_slider.propTypesTrackClassName,thumbClassName:_slider.propTypesThumbClassName,barClassName:_slider.propTypesBarClassName,defaultValue:_slider.propTypesDefaultValue,value:_slider.propTypesValue,onChange:_slider.propTypesOnChange,min:_slider.propTypesMin,max:_slider.propTypesMax,step:_slider.propTypesStep,inputRef:_slider.propTypesInputRef,inputProps:_slider.propTypesInputProps};Slider.displayName="MaterialTailwind.Slider";var _default=Slider;