"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{SpeedDialContext:function(){return SpeedDialContext},useSpeedDial:function(){return useSpeedDial},SpeedDial:function(){return SpeedDial},SpeedDialHandler:function(){return _speedDialHandler.default},SpeedDialContent:function(){return _speedDialContent.default},SpeedDialAction:function(){return _speedDialAction.default},default:function(){return _default}});var _react=_interopRequireDefault(require("react"));var _react1=require("@floating-ui/react");var _theme=require("../../context/theme");var _deepmerge=_interopRequireDefault(require("deepmerge"));var _speedDial=require("../../types/components/speedDial");var _speedDialHandler=_interopRequireDefault(require("./SpeedDialHandler"));var _speedDialContent=_interopRequireDefault(require("./SpeedDialContent"));var _speedDialAction=_interopRequireDefault(require("./SpeedDialAction"));function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++)arr2[i]=arr[i];return arr2}function _arrayWithHoles(arr){if(Array.isArray(arr))return arr}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _iterableToArrayLimit(arr,i){var _i=arr==null?null:typeof Symbol!=="undefined"&&arr[Symbol.iterator]||arr["@@iterator"];if(_i==null)return;var _arr=[];var _n=true;var _d=false;var _s,_e;try{for(_i=_i.call(arr);!(_n=(_s=_i.next()).done);_n=true){_arr.push(_s.value);if(i&&_arr.length===i)break}}catch(err){_d=true;_e=err}finally{try{if(!_n&&_i["return"]!=null)_i["return"]()}finally{if(_d)throw _e}}return _arr}function _nonIterableRest(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _slicedToArray(arr,i){return _arrayWithHoles(arr)||_iterableToArrayLimit(arr,i)||_unsupportedIterableToArray(arr,i)||_nonIterableRest()}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(n);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen)}var SpeedDialContext=_react.default.createContext(null);function useSpeedDial(){var context=_react.default.useContext(SpeedDialContext);if(!context){throw new Error("useSpeedDial must be used within a <SpeedDial />.")}return context}function SpeedDial(param){var open=param.open,handler=param.handler,placement=param.placement,offset=param.offset,dismiss=param.dismiss,animate=param.animate,children=param.children;var _useTheme=(0,_theme.useTheme)(),defaultProps=_useTheme.speedDial.defaultProps;var _React_useState=_slicedToArray(_react.default.useState(false),2),internalOpen=_React_useState[0],setInternalOpen=_React_useState[1];open=open!==null&&open!==void 0?open:internalOpen;handler=handler!==null&&handler!==void 0?handler:setInternalOpen;placement=placement!==null&&placement!==void 0?placement:defaultProps.placement;offset=offset!==null&&offset!==void 0?offset:defaultProps.offset;dismiss=dismiss!==null&&dismiss!==void 0?dismiss:defaultProps.dismiss;animate=animate!==null&&animate!==void 0?animate:defaultProps.animate;var animation={unmount:{opacity:0,transform:"scale(0.5)",transition:{duration:.2,times:[.4,0,.2,1]}},mount:{opacity:1,transform:"scale(1)",transition:{duration:.2,times:[.4,0,.2,1]}}};var appliedAnimation=(0,_deepmerge.default)(animation,animate);var nodeId=(0,_react1.useFloatingNodeId)();var _useFloating=(0,_react1.useFloating)({open:open,nodeId:nodeId,placement:placement,onOpenChange:handler,whileElementsMounted:_react1.autoUpdate,middleware:[(0,_react1.offset)(offset),(0,_react1.flip)(),(0,_react1.shift)()]}),x=_useFloating.x,y=_useFloating.y,strategy=_useFloating.strategy,refs=_useFloating.refs,context=_useFloating.context;var _useInteractions=(0,_react1.useInteractions)([(0,_react1.useHover)(context,{handleClose:(0,_react1.safePolygon)()}),(0,_react1.useDismiss)(context,dismiss)]),getReferenceProps=_useInteractions.getReferenceProps,getFloatingProps=_useInteractions.getFloatingProps;var contextValue=_react.default.useMemo(function(){return{x:x,y:y,strategy:strategy,refs:refs,open:open,context:context,getReferenceProps:getReferenceProps,getFloatingProps:getFloatingProps,animation:appliedAnimation}},[context,getFloatingProps,getReferenceProps,refs,strategy,x,y,open,appliedAnimation]);return _react.default.createElement(SpeedDialContext.Provider,{value:contextValue},_react.default.createElement("div",{className:"group"},_react.default.createElement(_react1.FloatingNode,{id:nodeId},children)))}SpeedDial.propTypes={open:_speedDial.propTypesOpen,handler:_speedDial.propTypesHanlder,placement:_speedDial.propTypesPlacement,offset:_speedDial.propTypesOffset,dismiss:_speedDial.propTypesDismiss,className:_speedDial.propTypesClassName,children:_speedDial.propTypesChildren,animate:_speedDial.propTypesAnimate};SpeedDial.displayName="MaterialTailwind.SpeedDial";var _default=Object.assign(SpeedDial,{Handler:_speedDialHandler.default,Content:_speedDialContent.default,Action:_speedDialAction.default});